Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List payment history owned by the merchant authenticated through the portal JWT.
GET /v1/merchant/payments
Authorization: Bearer <portal_jwt>
status
state
all
active
completed
pending
failed
created_after
limit
offset
curl -sS "$AGENTBANK_BASE_URL/v1/merchant/payments?state=completed&limit=20" \ -H "Authorization: Bearer $PORTAL_JWT"
{ "total": 1, "payments": [ { "payment_id": "pay_...", "merchant_payment_reference": "invoice-1042", "status": "completed", "terminal": true, "successful": true, "created_at": "2026-08-19T08:00:00.000Z", "updated_at": "2026-08-19T08:03:00.000Z" } ] }